namespace Telerik.Reporting.Examples.CSharp
{
    using Telerik.Reporting;

    /// <summary>
    /// Summary description for PageNumberTestReport.
    /// </summary>
    public partial class ResetPageNumberPerGroup : Telerik.Reporting.Report
    {
        public ResetPageNumberPerGroup()
        {
            //
            // Required for telerik Reporting designer support
            //
            InitializeComponent();

            //
            // TODO: Add any constructor code after InitializeComponent call
            //
        }

        int currentPageNumber;
        string currentGroup;
        
        public int MyPageNumber(string lastGroupOnPage, int reportPageNumber)
        {
            if (null == lastGroupOnPage)
            {
                return this.currentPageNumber;
            }

            if (this.currentGroup != lastGroupOnPage || reportPageNumber == 1)
            {
                this.ResetPageNumbering(lastGroupOnPage);
            }
            else
            {
                this.NextPageNumber();
            }

            return this.currentPageNumber;
        }

        void ResetPageNumbering(string lastGroupOnPage)
        {
            this.currentPageNumber = 1;
            this.currentGroup = lastGroupOnPage;
        }

        void NextPageNumber()
        {
            this.currentPageNumber++;
        }
    }
}